> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List notifications for a member

> Get a paged list of notifications for a member. Notification may be sent directly to the member or to the organisation they are associated with.



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/members/{memberId}/notifications
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/members/{memberId}/notifications:
    get:
      tags:
        - Notifications
      summary: List notifications for a member
      description: >-
        Get a paged list of notifications for a member. Notification may be sent
        directly to the member or to the organisation they are associated with.
      operationId: NotificationController_getNotifications
      parameters:
        - name: memberId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 200
            default: 10
            example: 10
            type: number
        - name: isRead
          required: false
          in: query
          schema:
            type: boolean
        - name: organisationId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/PlatformNotification'
                      page:
                        type: number
                        example: 1
                      limit:
                        type: number
                        example: 10
                      totalItems:
                        type: number
                        example: 100
                      totalPages:
                        type: number
                        example: 10
components:
  schemas:
    ApiResponse:
      type: object
      properties: {}
    PlatformNotification:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        body:
          type: string
        isRead:
          type: boolean
        createdAt:
          format: date-time
          type: string
        url:
          type: string
      required:
        - id
        - title
        - body
        - isRead
        - createdAt

````